org.gjt.sp.jedit.textarea

## Class ColumnBlockLine

- java.lang.Object
- - org.gjt.sp.jedit.textarea.ColumnBlockLine

-     public class ColumnBlockLine
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnBlockLine(int line, int lineStartIndex, int lineEndIndex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnEndIndex()`
    `int` | `getColumnStartIndex()`
    `int` | `getLine()`
    `float` | `getLineLength()`
    `void` | `setLineLength(float lineLength)`
    `java.lang.String` | `toString()`
    `void` | `updateLineNo(int line)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnBlockLine

          public ColumnBlockLine(int line,
                         int lineStartIndex,
                         int lineEndIndex)

  - ### Method Detail

    - #### getLine

          public int getLine()

    - #### getColumnStartIndex

          public int getColumnStartIndex()

    - #### getColumnEndIndex

          public int getColumnEndIndex()

    - #### setLineLength

          public void setLineLength(float lineLength)

    - #### getLineLength

          public float getLineLength()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### updateLineNo

          public void updateLineNo(int line)